.filter-toggle {
    outline: none;
    height: rem(34);
    cursor: pointer;
    fill: $purple;
    color: $purple;
    font-weight: 500;
    font-size: rem(11);
    line-height: rem(14);
    background: $white;
    text-decoration: none;
    padding: rem(8) rem(16);
    border: 1px solid $gray-200;
    display: inline-flex;
    align-items: center;
    justify-content: center;

    i {
        font-size: 0;
        line-height: 0;
        height: rem(12);
        flex-shrink: 0;
        display: inline-block;
        margin-right: rem(8);
    }

    &:hover {
        fill: $purple;
        color: $purple;
        text-decoration: none;
        background: rgba(0,0,0,0.05);
    }
}

.filter-mobile {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 999;
    background: $white;
    line-height: 125%;
    padding-top: 20px;
    padding-bottom: rem(64);
    position: fixed;
    display: flex;
    flex-direction: column;
    opacity: 0;
    visibility: hidden;

    &.open {
        opacity: 1;
        visibility: visible;
    }

    &__close {
        top: 0;
        z-index: 10;
        left: calc(50% - 20px);
        position: absolute;
    }

    &__layout {
        flex-grow: 1;
        position: relative;
        background: $white;
        overflow-y: auto;
        padding: rem(40) rem(20);
        border: 5px solid #F5F5F3;
        display: flex;
        flex-direction: column;
    }

    &__body {
        margin: 0 auto;
        width: rem(234);
        flex-grow: 1;
        display: flex;
        flex-direction: column;
    }

    &__main {
        flex-grow: 1;
        position: relative;
    }

    &__footer {
        padding-top: rem(10);
        display: grid;
        grid-column-gap: rem(16);
        grid-template-columns: 1fr 1fr;
    }

    &__group {
        margin-bottom: rem(35);
    }

    &__label {
        color: $dark;
        font-weight: 600;
        line-height: 125%;
        font-size: rem(15);
        margin-bottom: rem(15);
    }

    &__primary {

    }

    &__parent {
        text-align: left;
        font-weight: 600;
        line-height: 125%;
        font-size: rem(15);
        margin-bottom: rem(30);
        padding: 0 rem(30) 0 0;
        width: 100%;
        border: none;
        outline: none;
        display: block;
        cursor: pointer;
        position: relative;
        background: transparent;

        &:before {
            right: 0;
            top: calc(50% - 3px);
            z-index: 5;
            width: 14px;
            height: 7px;
            content: '';
            display: block;
            position: absolute;
            background: url("../img/angle_down.svg") 50% 50% no-repeat;
            background-size: cover;
            transform: rotate(-90deg);
            transition: .25s;
        }
    }

    &__child {
        z-index: 20;
        background: $white;
        display: none;

        &.active {
            display: block;
        }
    }

    &__title {
        font-weight: 600;
        line-height: 125%;
        font-size: rem(15);
    }

    &__header {
        position: relative;
        margin-bottom: rem(15);
    }

    &__back {
        top: -3px;
        right: calc(100% + 10px);
        width: 24px;
        height: 24px;
        font-size: 0;
        line-height: 0;
        padding: 0;
        border: none;
        outline: none;
        background: transparent;
        position: absolute;


        &:before {
            left: calc(50% - 7px);
            top: calc(50% - 3px);
            z-index: 5;
            width: 14px;
            height: 7px;
            content: '';
            display: block;
            position: absolute;
            background: url("../img/angle_down.svg") 50% 50% no-repeat;
            background-size: cover;
            transform: rotate(90deg);
            transition: .25s;
        }
    }

    @include media-breakpoint-up(md) {
        display: none;
    }
}

.filter-list {
    display: grid;
    grid-row-gap: rem(12);


    .checkbox {
        display: block;
        cursor: pointer;

        &__item {
            display: block;
        }
    }

    @include media-breakpoint-up(md) {
        grid-row-gap: rem(15);
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        grid-template-columns: 1fr;
    }
}

.filter {
    display: none;
    padding: rem(8);
    border: 8px solid rgba(241, 240, 237, 0.70);

    &__inner {
        padding: rem(46) rem(48);
        border: 1px solid rgba(241, 240, 237, 0.70);
    }

    &__body {
        display: grid;
        grid-row-gap: rem(15);
        grid-column-gap: rem(100);
        grid-template-columns: 1fr 1fr;
    }

    &__group {
        position: relative;
        padding-bottom: rem(15);
        border-bottom: 1px solid $gray-200;
        grid-column: span 2;

        &:last-of-type {
            border-bottom: none;
        }

        &--md {
            grid-column: span 1;
            border-bottom: none;
            padding-bottom: 0;

            &:after {
                top: 0;
                left: 0;
                right: 0;
                z-index: 10;
                content: '';
                height: rem(48);
                position: absolute;
            }
        }
    }

    &__header {
        cursor: pointer;
        padding: rem(20) 0;
        font-weight: 600;
        line-height: 125%;
        font-size: rem(18);
        position: relative;

        &:before {
            right: 0;
            top: calc(50% - 3px);
            z-index: 5;
            width: 14px;
            height: 7px;
            content: '';
            display: block;
            position: absolute;
            background: url("../img/angle_down.svg") 50% 50% no-repeat;
            background-size: cover;
            transform: rotate(-90deg);
            transition: .25s;
        }

        &--md {
            padding-top: 0;

            &:before {
                display: none;
            }
        }

        &.open {

            &:before {
                transform: rotate(0deg);
                transition: .25s;
            }
        }
    }

    &__content {
        display: none;
        padding-bottom: rem(15);

        &--md {
            display: block;
        }
    }

    &__footer {
        width: rem(514);
        margin: 0 auto;
        padding-top: rem(10);
        display: grid;
        grid-row-gap: rem(15);
        grid-column-gap: rem(14);
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(md) {
        display: block;
    }

    @include media-breakpoint-up(xl) {

        &__inner {
            padding: rem(35) rem(24);
            border: 1px solid rgba(241, 240, 237, 0.70);
        }

        &__body {
            grid-row-gap: rem(38);
            grid-template-columns: 1fr;
        }

        &__group {
            padding: 0;
            border-bottom: none;
            grid-column: span 1;

            &--md {

                &:after {
                    content: none;
                    display: none;
                }
            }
        }

        &__header {
            padding: 0;

            &--md {

                &:before {
                    display: block;
                }
            }

            &:before {
             //   transform: rotate(0deg);
            }
        }

        &__content {
            display: block;
            padding-bottom: 0;
            padding-right: rem(6);
        }

        &__wrapper {
            padding-top: rem(26);
        }

        &__footer {
            width: 100%;
            padding-top: rem(30);
            grid-template-columns: 1fr;
        }

        &__scroll {
            max-height: rem(270);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__inner {
            padding: rem(30) rem(36);
        }
    }
}


// background-color: rgba(0, 128, 0, 0.5);
